Subject: Re: [lojban] lojban application in wearable computing

From: Ted Reed <[email-masked]>
Date: Wed, 13 Mar 2002 18:58:49 -0800

On Wednesday, March 13 2002 06:44 pm, Jay Kominek wrote:
> On Wed, 13 Mar 2002, Ted Reed wrote:
> > > > Perhaps not lisp, but scheme tends to be organized around predicate
> > > > syntax and brackets to define things that are more than one word.
> > >
> > > not necessarily, but again if your list head symbols are defined as
> > > predicates (or functions returning a boolean value) it would be like
> > > you say.
> >
> > My question is, why do we even have to base it on a preexisting proglang?
> > It seems to me that lojban already has its own syntax and trying to force
> > it into the confines of a preexisting language would limit the
> > effectiveness of using lojban in the first place.
>
> Not to be rude, but it isn't 'we'. It is whoever actually produces the
> code.

Certainly.

> The idea with Prolog, presumably, would be to translate the Lojban
> losslessly into Prolog rules which can be queried. Assuming it is
> lossless, your complaint is relatively groundless. (Computer science
> has plenty of practice translating machine languages flawlessly, btw.)
>
> Sounds like xod is going to produce some code, and he asked for
> suggestions. Were you planning on helping him? :)
>
> (By the way, I doubt that writing a quality, fast inference engine is
> easy. Hence, it would be very timesaving to use an existing one.)

Had I the time, I would already be working on something like this, using a 
modular, expandable engine with speech recognition and such. However, I have 
entirely too little time to be taking on another project.

> - Jay Kominek <[email-masked]>
> Plus Ã§a change, plus c'est la mÃªme chose

-- rizen